api_platform:
    collection:
        pagination:
            page_parameter_name: page
            items_per_page: 20 # Default value
            client_items_per_page: true # Disabled by default
            items_per_page_parameter_name: limit # Default value
    mapping:
        paths: ['%kernel.project_dir%/src/Entity']
    patch_formats:
        json: ['application/merge-patch+json']
    swagger:
        versions: [3]
        api_keys:
            apiKey:
                name: Authorization
                type: header
    formats:
        jsonld: ['application/ld+json']
        jsonhal: ['application/hal+json']
        jsonapi: ['application/vnd.api+json']
        json: ['application/json']
        xml: ['application/xml', 'text/xml']
        yaml: ['application/x-yaml']
        csv: ['text/csv']
        html: ['text/html']
    graphql:
        graphiql:
            enabled: true
